Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2002:036: fetchmail


Vulnerability Assessment Details

MDKSA-2002:036: fetchmail

Vulnerability Assessment Summary
Check for the version of the fetchmail package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2002:036 (fetchmail).


A problem was discovered with versions of fetchmail prior to 5.9.10 that was
triggered by retreiving mail from an IMAP server. The fetchmail client will
allocate an array to store the sizes of the messages it is attempting to
retrieve. This array size is acertaind by the number of messages the server is
claiming to have, and fetchmail would not check whether or not the number of
messages the server was claiming was too high. This would permit a malicious
server to make the fetchmail process write data outside of the array bounds.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2002:036
Network Security Threat Level: High

Networks Security ID: 4788

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Dell PowerEdge 2850 2 x Intel Xeon 340GHz / 4GB / Dual Power
$70.0
Dell PowerEdge 2850 2 x Intel Xeon 340GHz / 4GB / Dual Power  pictureIBM BladeCenter HS22V Blade Server Microprocessor Heat Sink 46C7382 / 59Y6450
$19.99
IBM BladeCenter HS22V Blade Server Microprocessor Heat Sink 46C7382 / 59Y6450 pictureDell PowerEdge R620 2 x E5-2670 2.6GHz, PERC H710, 4GB Ram
$979.0
Dell PowerEdge R620 2 x E5-2670 2.6GHz, PERC H710, 4GB Ram pictureSun Microsystems Ultra Sparc 10 Workstation 380-0182-01
$225.0
Sun Microsystems Ultra Sparc 10 Workstation 380-0182-01 picture


Discussions

No Discussions have been posted on this vulnerability.